summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorGlenn Strauss <gstrauss@gluelogic.com>2023-05-09 23:17:54 -0400
committerGlenn Strauss <gstrauss@gluelogic.com>2023-05-10 02:08:25 -0400
commiteed82eb335afc010cafa14aca3b049ab0e98311c (patch)
treeed91cf59cec489fb5cb4106c7b2cb1b0a39f1532
parent7f3f9001d5a78767f16a69258399647dcc0ea689 (diff)
downloadlighttpd-git-eed82eb335afc010cafa14aca3b049ab0e98311c.tar.gz
[tests] tests/prepare.sh comment w/ alt build root
tests will fail to run from an alternate build root on platforms on which cp -n is not supported, such as NetBSD and OpenBSD
-rwxr-xr-xtests/prepare.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/tests/prepare.sh b/tests/prepare.sh
index c8e70da7..873fd801 100755
--- a/tests/prepare.sh
+++ b/tests/prepare.sh
@@ -34,11 +34,14 @@ cp "${srcdir}/docroot/"*.html \
"${srcdir}/docroot/"*.txt \
"${tmpdir}/servers/www.example.org/pages/"
+# copy configs to alternate build root, if alternate build root is used
+# (tests will fail to run from an alternate build root on platforms
+# on which cp -n is not supported, such as NetBSD and OpenBSD)
cp -n "${srcdir}/"*.conf \
"${srcdir}/lighttpd.user" \
"${srcdir}/lighttpd.htpasswd" \
"${srcdir}/var-include-sub.conf" \
- "${top_builddir}/tests/" || true
+ "${top_builddir}/tests/" 2>/dev/null || true
# create some content
touch "${tmpdir}/servers/www.example.org/pages/image.jpg" \